org.eclipse.jetty.security.jaspi

## Class JaspiAuthenticatorFactory

- java.lang.Object
- - org.eclipse.jetty.security.DefaultAuthenticatorFactory
  - - org.eclipse.jetty.security.jaspi.JaspiAuthenticatorFactory

- All Implemented Interfaces:
    Authenticator.Factory

      public class JaspiAuthenticatorFactory
      extends DefaultAuthenticatorFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaspiAuthenticatorFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `findServerName(Server server, javax.security.auth.Subject subject)` Find a servername.
    `protected javax.security.auth.Subject` | `findServiceSubject(Server server)` Find a service Subject.
    `Authenticator` | `getAuthenticator(Server server, javax.servlet.ServletContext context, Authenticator.AuthConfiguration configuration, IdentityService identityService, LoginService loginService)`
    `java.lang.String` | `getServerName()`
    `javax.security.auth.Subject` | `getServiceSubject()`
    `void` | `setServerName(java.lang.String serverName)`
    `void` | `setServiceSubject(javax.security.auth.Subject serviceSubject)`

    - ### Methods inherited from class org.eclipse.jetty.security.DefaultAuthenticatorFactory

      `getLoginService, setLoginService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaspiAuthenticatorFactory

          public JaspiAuthenticatorFactory()

  - ### Method Detail

    - #### getServiceSubject

          public javax.security.auth.Subject getServiceSubject()

      Returns:
        the serviceSubject

    - #### setServiceSubject

          public void setServiceSubject(javax.security.auth.Subject serviceSubject)

      Parameters:
        `serviceSubject` - the serviceSubject to set

    - #### getServerName

          public java.lang.String getServerName()

      Returns:
        the serverName

    - #### setServerName

          public void setServerName(java.lang.String serverName)

      Parameters:
        `serverName` - the serverName to set

    - #### getAuthenticator

          public Authenticator getAuthenticator(Server server,
                                       javax.servlet.ServletContext context,
                                       Authenticator.AuthConfiguration configuration,
                                       IdentityService identityService,
                                       LoginService loginService)

      Specified by:
        `getAuthenticator` in interface `Authenticator.Factory`
      Overrides:
        `getAuthenticator` in class `DefaultAuthenticatorFactory`

    - #### findServiceSubject

          protected javax.security.auth.Subject findServiceSubject(Server server)

      Find a service Subject. If `setServiceSubject(Subject)` has not been used to set a subject, then the `AggregateLifeCycle.getBeans(Class)` method is used to look for a Subject.

    - #### findServerName

          protected java.lang.String findServerName(Server server,
                                        javax.security.auth.Subject subject)

      Find a servername. If `setServerName(String)` has not been called, then use the name of the a principal in the service subject. If not found, return "server".

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.